clear all; close all;
display('Author: Igor Zagorodnov, DESY, 2010')
astrafile='D:\pC1000\flash_end.2037.001';
genfile='b1000pCFLASH.txt';
Ns=1000; %number of slices
M=20000; %particles in the slice
sig0=0.1; %current profile smoothing
Twiss_x=[0 35.1270 0];% alpha beta mue
Twiss_y=[0 21.9964 0];%alpha beta mue
bounds=[-0.1 0.1]; %mathicng area in sigma_z

[out PD]=Astra2Genesis(astrafile,genfile,Ns,M,sig0,bounds,true,Twiss_x,Twiss_y);
p=10;iter=2;
lbl={'GAMMA0'; 'DELGAM'; 'EMITX'; 'EMITY';...
    'BETAX'; 'BETAY'; 'XBEAM'; 'YBEAM'; 'PXBEAM'; 'PYBEAM'; ...
    'ALPHAX'; 'ALPHAY'; 'CURPEAK'; 'ELOSS'};

for i=2:13,
    plot(out(:,1),out(:,i));hold on;
    out(:,i)=SimpleFilter(out(:,i),p,iter);
    plot(out(:,1),out(:,i),'k');hold off;
    title(lbl{i-1});
    pause;
end;
out(:,1)=out(:,1);
subplot(2,1,1);plot(out(:,1),out(:,14));
Mx=BetaMismatchParameter(out(:,12),out(:,6),Twiss_x(1),Twiss_x(2));
My=BetaMismatchParameter(out(:,13),out(:,7),Twiss_y(1),Twiss_y(2));
subplot(2,1,2);plot(out(:,1),Mx,out(:,1),My,out(:,1),out(:,14)/max(out(:,14)),'k');
ylim([0 3]);
sig=std(PD(:,2)-mean(PD(:,2)))


%%%%%%%%%%%%% if wake exists %%%%%
%subplot(1,1,1);wake=load('wake.dat');
%out(:,15)=interp1(-wake(:,1),wake(:,2),out(:,1));K=max(abs(out(:,15)))/max(abs(out(:,14)));
%plot(out(:,1)*1e6,out(:,14)*K*1e-3,out(:,1)*1e6,out(:,15)*1e-3)



fid = fopen(genfile,'wt');
fprintf(fid,'#\n? VERSION = 1.0\n');
fprintf(fid,'? SIZE =%ld\n',Ns);
fprintf(fid,'? COLUMNS ZPOS GAMMA0 DELGAM EMITX EMITY BETAX BETAY XBEAM YBEAM PXBEAM PYBEAM ALPHAX ALPHAY CURPEAK ELOSS\n');
fprintf(fid,'%g %g %g %g %g %g %g %g %g %g %g %g %g %g %g\n',out');
fclose(fid);




